---
title: CSSNumericValue.parse()
slug: Web/API/CSSNumericValue/parse
tags:
  - API
  - CSS Typed Object Model API
  - CSSNumericValue
  - Experimental
  - Houdini
  - Method
  - Reference
  - parse()
---
<div>{{draft}}{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>parse()</code></strong> method of the {{domxref("CSSNumericValue")}} interface converts a value string into an object whose members are value and the units.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var cssNumericValue = CSSNumericValue.parse(cssText);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>cssText</dt>
 <dd>a string containing numeric and unit parts.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref('CSSNumericValue')}}.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>SyntaxError</dt>
 <dd>TBD</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>The following returns a {{domxref('CSSUnitValue')}} object with a <code>unit</code> property equal to <code>"px"</code> and a <code>value</code> property equal to <code>42</code>.</p>

<pre class="brush: js">let numValue = CSSNumericValue.parse("42.0px");</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssnumericvalue-parse','parse')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSNumericValue.parse")}}</p>
